Subject: Re: [PATCH] ethtool: additional 10Gig niceness

From: Rick Jones <[email-masked]>
Date: Thu, 05 Apr 2007 10:06:05 -0700

> applied

Thanks.

One thing I noticed while making the changes is that the reported speed 
is kept in a u16.  With 10G we are already 1/6 of the way to the 
maximum.  I've no idea when 100G will arrive, but euros to beliners it 
will probably arrive "some day" which means something will have to give.

I've not thought it through completely, but my initial reaction would be 
to suggest just making the thing a 64 bit quantity reporting bits and 
not worry about it again.  And then one doesn't have to worry if ethtool 
starts being applied to links which do not run at integral multiples of 
a Mbit/s.

rick jones